<%@page contentType="text/html;charset=UTF-8" pageEncoding="ISO-8859-1" session="true"
%><%@page import="com.fujitsu.iflow.model.wfcore.WFAdminSessionImpl"
%><%@page import="com.fujitsu.iflow.model.bpm.BPMAdmin"
%><%@page import="com.fujitsu.iflow.model.bpm.BPMSession"
%><%@page import="com.fujitsu.iflow.model.bpmcore.BPMAdminImpl"
%><%@page import="com.fujitsu.iflow.model.util.QuickForm"
%><%@page import="com.fujitsu.iflow.model.util.URLEncoder"
%><%
    request.setCharacterEncoding("UTF-8");request.getParameterNames(); //Need dummy call for WL9.1
    StringBuffer s1 = request.getRequestURL();
    s1.append("?");
	String pageURL = s1.toString();
	pageURL = pageURL.substring(pageURL.lastIndexOf("/")+1,pageURL.lastIndexOf(".jsp"));
	
    if (request.getQueryString() != null)
    	s1.append(request.getQueryString());
    	
    String goPage = s1.toString();

%>
<script type="text/javascript" src="styles/clockscripts.js"></script>
<table width="99%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="164"><img src="images/interstage_logo.gif" width="164" height="36"/></td>
    <td width="207"><img src="images/bpm_title.gif" width="207" height="36"/></td>
    <td><img src="images/admin_title.gif" width="128" height="36"/></td>
<%
    request.setCharacterEncoding("UTF-8");request.getParameterNames(); //Need dummy call for WL9.1
    BPMSession bps = (BPMSession) session.getAttribute("BPMSession");
    if (bps != null) {
        BPMAdmin bpas = bps.getAdmin();
        WFAdminSessionImpl wfSession = ((BPMAdminImpl)bpas)._wfas;

        if (wfSession != null) 
        {
%>
	<td align="right"><a href="<% QuickForm.writeHtml(out,  "Logout.jsp?go="+URLEncoder.encode(goPage, "UTF-8")); %>"><img src="images/logoff.gif" border="0"></a></td>
<%
        }
    }
%>
  </tr>
</table>
